package market.Pms.Order.mapper;
import java.util.List;

import market.Pms.Order.vo.PurOrderClause;
import market.Pms.Order.vo.PurOrderM;
import market.Pms.Order.vo.PurOrderModeM;

import org.apache.ibatis.annotations.Param;

import com.hnshituo.orm.GenericMapper;

public interface PurOrderClauseMapper extends GenericMapper<PurOrderClause,Object> {

	long doQueryCount(PurOrderClause queryCls);

	List<PurOrderClause> doQuery(PurOrderClause queryCls, int i, int j);

	String getNo(String string);

	// 模板行新增初始化查询总条数
	long doQueryInitCount(@Param("queryCls") PurOrderModeM queryCls);

	// 模板行新增初始化查询
	List<PurOrderClause> doQueryInit(@Param("queryCls") PurOrderModeM queryCls, int i, int j);

	// 模板行新增初始化查询(根据通用模板代码)不分页
    List<PurOrderClause> FindBYmodeCode(String  queryCls);
		
	// 模板行查询已匹配条款总条数
	long doQueryMatchedCount(@Param("queryCls") PurOrderModeM queryCls);

	// 模板行查询已匹配条款
	List<PurOrderClause> doQueryMatched(@Param("queryCls") PurOrderModeM queryCls, int i, int j);

	// 合同条款新增初始化查询总条数
	long doQueryOrderInitCount(PurOrderM pom,PurOrderClause poc);
	
	// 合同条款新增初始化查询
	List<PurOrderClause> doQueryOrderInit(PurOrderM pom,PurOrderClause poc, int i, int j);

	// 合同条款新增判断序号否重复
	List<PurOrderClause> doQueryOrderByWeb(Long clauseOrderBy, String clauseCode);

}
